# SafetyVantage Coding Challenge

A ranking system for the Snakes & Ladders championship.

## Build

Run the following commands to clone the repository and build the project

```bash
git clone https://git.n0m.org/n0m/Snakes-And-Ladders.git
cd Snakes-And-Ladders
npm install
npm run build
```

## Usage

To run the project with the provided sample data, use the following command

```bash
npm run sample
```

The project also accepts a number of command line options for using your own game boards, game logs and game configurations. Usage is as follows:

```bash
Usage: npm start -- boardFile gameLogFile [options]
  options:
    -h --help                 Print this message
    -m --maxPlayersPerGame    Maximum players per game
    -d --debug                Print stack trace on error
```

## Authors

- [Ben Ashton](https://git.n0m.org/)
