import { TournamentError } from "./tournament_error.js";

export class DuplicateGameError extends TournamentError {
  constructor(gameId: number, options?: ErrorOptions) {
    super(`Duplicate game is: ${gameId}`, options);
  }
}
